Bug 5908 - Improving style and structure of article visualization
Improving style and structure of article visualization
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: User Interface
2.4.2
PC Windows XP
: P5 minor
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-19 00:46 PDT by Andrea Marchitelli
Modified: 2013-01-07 09:05 PST (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Modified article.tpl (5.18 KB, application/octet-stream)
2010-09-19 00:46 PDT, Andrea Marchitelli
Details
Patch file (584 bytes, application/octet-stream)
2010-09-24 10:02 PDT, Andrea Marchitelli
Details
Article template differences (1.38 KB, application/octet-stream)
2010-09-24 10:26 PDT, Andrea Marchitelli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrea Marchitelli 2010-09-19 00:46:53 PDT
Created attachment 3224 [details]
Modified article.tpl

Using the references visualization in the article metadata page, I found a lack of usability, because the link to full text is too little visible.
I modified the article.tpl:
- moving up the full-text links
- adding classes for the DIVs (for CSS styling).
Comment 1 Alec Smecher 2010-09-23 11:10:48 PDT
Thanks, Andrea -- but could you upload a .diff file describing the changes you made, rather than the full article template? The template has changed quite a bit since the version you were working with.
Comment 2 Andrea Marchitelli 2010-09-24 10:02:05 PDT
Created attachment 3238 [details]
Patch file

Differences between article.tpl files
Comment 3 Alec Smecher 2010-09-24 10:18:43 PDT
I'm having trouble applying that patch -- try:

diff -u /path/to/unmodified/article.tpl /path/to/modified/article.tpl > patch-file.diff
Comment 4 Andrea Marchitelli 2010-09-24 10:26:53 PDT
Created attachment 3239 [details]
Article template differences

Hi Alech, sorry for my inexperience
Comment 5 Alec Smecher 2013-01-07 09:00:46 PST
Committed. Thanks for contributing, Andrea!
Comment 6 Alec Smecher 2013-01-07 09:05:03 PST
Improving style and structure of article visualization
https://github.com/pkp/ojs/commit/86105ed01bab3e071b05adfab709d841c3aca324
Comment 7 Alec Smecher 2013-01-07 09:05:03 PST
Improving style and structure of article visualization
https://github.com/pkp/ojs/commit/0788ed8f756c8c30841c218e98750454e7099abc